disp('Sinus von 100 Millionen Zahlen, auf der CPU');
cpu_x = rand(1,100000000)*10*pi;
cpu_y = sin(cpu_x);

tic;
cpu_y = sin(cpu_x);
toc

tic;
cpu_y = sin(cpu_x);
toc

tic;
cpu_y = sin(cpu_x);
toc

sintimes=zeros(1,20);
for i=1:20;
    tic;
    cpu_y = sin(cpu_x);
    sintimes(i)=toc;
end
average_time = sum(sintimes)/20

disp('Sinus von 100 Millionen Zahlen, auf der GPU');
cpu_x = rand(1,100000000)*10*pi;
gpu_x = gpuArray(cpu_x); %this moves our data to the GPU
gpu_y = sin(gpu_x);
cpu_y = gather(gpu_y);

tic;
gpu_y = sin(gpu_x);
toc

tic;
gpu_x = gpuArray(cpu_x);
gpu_y = sin(gpu_x);
cpu_y = gather(gpu_y)
toc