if matlabpool('size')==0
matlabpool open local4;
end

disp('Create a small array and distribute it:')
Nsmall = 100;
D1 = distributed(Nsmall);
M=gather(D1);
disp('Create a large distributed array using a static build method:')
Nlarge = 1000;
D2 = distributed.rand(Nlarge);

matlabpool close
%%

disp('Ohne matlabpool')
spmd
  A = zeros(80, 1000);
  D = codistributed(A)
end

clear
disp('default local')
matlabpool open local 2
spmd
  A = zeros(80, 1000);
  D = codistributed(A)
end
matlabpool close

clear
disp('Benutzerdefiniert')
matlabpool open local4
spmd
  A = zeros(80, 1000);
  D = codistributed(A)
end
matlabpool close